"use strict";
//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SVG = void 0;
var react_1 = __importDefault(require("react"));
var react_svg_1 = require("react-svg");
var lodash_1 = require("lodash");
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var css_1 = __importDefault(require("./css"));
var SVG_CSS = "\n    .svg {\n        line-height: 1;\n        height: inherit;\n        width: inherit;\n    }\n    .svg div,\n    .svg svg\n    {\n        height: inherit;\n        width: inherit;\n    }\n";
var SVG = function (props) {
    var style = props.style;
    var src = props.src && (0, core_1.isNonEmptyString)(props.src) ? props.src : "";
    var color = (0, core_1.isNonEmptyString)(props.color) ? props.color : "#000000";
    var svgId = "svg_".concat((0, core_1.isNonEmptyString)(props.id) ? props.id : src).replace(/[^A-Za-z0-9]+/g, "");
    var id = (0, core_1.isNonEmptyString)(color)
        ? "svg-".concat(svgId, "-").concat(color).replace(/[^A-Za-z0-9]+/g, "")
        : svgId;
    var size = (0, lodash_1.isNumber)(props.size) && props.size > 0 ? props.size : 16;
    var className = (0, core_1.isNonEmptyString)(props.className) ? props.className : "";
    var stroke = props.stroke == true;
    var onClick = function () {
        if ((0, lodash_1.isFunction)(props.onClick))
            props.onClick();
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(css_1.default, { id: "svg-css", content: SVG_CSS }),
        (0, core_1.isNonEmptyString)(color) && (react_1.default.createElement(css_1.default, { id: "".concat(id, "-css"), content: "\n            #".concat(id, " .svg svg\n            {\n                ").concat(stroke ? "stroke" : "fill", ": ").concat(color, ";\n            }\n\n            #").concat(id, " .svg svg path\n            {\n                ").concat(stroke ? "stroke" : "fill", ": ").concat(color, ";\n            }\n        ") })),
        react_1.default.createElement("div", { id: id, onClick: onClick, style: __assign({ width: size, height: size }, style), className: "svg-wrapper ".concat(className) }, (0, core_1.isNonEmptyString)(src) && (react_1.default.createElement(react_svg_1.ReactSVG, { src: src, className: "svg" })))));
};
exports.SVG = SVG;
exports.default = exports.SVG;
