//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
//
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
import React, { useEffect } from "react";
import { isNonEmptyString } from "primeobjects-helper-util/build/cjs/core";
import { useCssStore } from "primeobjects-ui-store/build/cjs/stores/css";
import { getGlobalObject } from "primeobjects-helper-util";
export var CSS = function (props) {
    var id = props.id, content = props.content;
    var cssStore = useCssStore();
    useEffect(function () {
        var g = getGlobalObject();
        if (!g.css)
            g.css = {};
        if (isNonEmptyString(id) && !g.css[id]) {
            g.css[id] = true;
        }
        cssStore.setCSS(id, content);
    }, [id, content]);
    return React.createElement(React.Fragment, null);
};
export default CSS;
