//  Copyright PrimeObjects Software Inc. and other contributors <https://www.primeobjects.com/>
// 
//  This source code is licensed under the MIT license.
//  The detail information can be found in the LICENSE file in the root directory of this source tree.
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import { isNonEmptyString, isObject } from 'primeobjects-helper-util/build/cjs/core';
import { isFunction, isNumber } from 'lodash';
import SVG from './svg';
export var Logo = function (props) {
    var color = props.color, id = props.id, text = props.text;
    var logoSize = isNumber(props.logoSize) && props.logoSize > 0 ? props.logoSize : 40;
    var logoSrc = isNonEmptyString(props.logoSrc) ? props.logoSrc : '/logo.svg';
    var wrapperClassName = isNonEmptyString(props.wrapperClassName) ? props.wrapperClassName : '';
    var className = isNonEmptyString(props.className) ? props.className : '';
    var textClassName = isNonEmptyString(props.textClassName) ? props.textClassName : '';
    var logoStyle = isObject(props.logoStyle) ? props.logoStyle : {};
    var textStyle = __assign({ marginLeft: 10, marginRight: 10, alignSelf: 'center', color: color, fontSize: '1.2rem', fontWeight: 700 }, props.textStyle);
    var onClick = function () {
        if (isFunction(props.onClick))
            props.onClick();
    };
    return React.createElement("div", { className: "flex justify-start ".concat(wrapperClassName) },
        React.createElement("div", { className: "flex flex-row ".concat(className), style: isFunction(props.onClick) ? { cursor: 'pointer' } : {}, onClick: onClick },
            logoSrc.indexOf('.svg') > 0 ?
                React.createElement(SVG, { id: id, src: logoSrc, color: color, size: logoSize, style: __assign({}, logoStyle) }) :
                React.createElement("img", { id: id, src: logoSrc, style: __assign({ width: logoSize }, logoStyle) }),
            isNonEmptyString(text) && React.createElement("span", { style: textStyle, className: isNonEmptyString(textClassName) ? textClassName : '' }, text)));
};
export default Logo;
