var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { isArray, isFunction, isNumber, map, find, isNil } from "lodash";
import { shortenString, isNonEmptyString, isObject, } from "primeobjects-helper-util/build/cjs/core";
import ITooltip from "./tooltip";
import { getColor } from "primeobjects-helper-util/build/cjs/colors";
export var Tags = function (props) {
    var data = props.data, disableShorten = props.disableShorten;
    var selectedTags = isArray(props.selectedTags) ? props.selectedTags : [];
    var tooltipColor = isNonEmptyString(props.tooltipColor)
        ? props.tooltipColor
        : getColor('gray', 400);
    var maxLength = isNumber(props.maxTagLength) ? props.maxTagLength : 12;
    var tagClassName = "cursor-pointer float-left flex text-base text-gray-800 h-6 items-center rounded-lg whitespace-nowrap bg-gray-50 border-gray-100 mr-3 my-1 leading-none self-center px-2 py-2 shadow hover:shadow-lg hover:font-semibold ".concat(isNonEmptyString(props.tagClassName) ? props.tagClassName : "");
    var tagStyle = isObject(props.tagStyle) ? props.tagStyle : {};
    var wrapperClassName = "w-full block ".concat(isNonEmptyString(props.wrapperClassName) ? props.wrapperClassName : "");
    var Tooltip = isNil(props.Tooltip) ? ITooltip : props.Tooltip;
    var onClick = function (tag) {
        if (isFunction(props.onClick)) {
            props.onClick(tag);
        }
    };
    return isArray(data) && data.length > 0 ? (React.createElement("div", { className: wrapperClassName }, map(isArray(data) ? data : [], function (tag, index) {
        var selected = find(selectedTags, function (selectedTag) {
            return selectedTag.toLowerCase() == tag.toLowerCase();
        });
        var textClassName = "leading-none ".concat(selected ? "search-highlight" : "", " ").concat(isNonEmptyString(props.textClassName)
            ? props.textClassName
            : "");
        var shortTag = !disableShorten
            ? shortenString(tag, maxLength)
            : tag;
        if (shortTag == tag) {
            return (React.createElement("div", { key: index, onClick: function () { return onClick(tag); }, style: __assign({ width: "max-content" }, tagStyle), className: "py-4 px-3 ".concat(tagClassName) },
                React.createElement("span", { className: "text-base ".concat(textClassName) }, shortTag)));
        }
        else {
            return (React.createElement(Tooltip, { key: index, color: tooltipColor, placement: "top", title: tag },
                React.createElement("div", { onClick: function () { return onClick(tag); }, title: "", style: __assign({ width: "max-content" }, tagStyle), className: "py-4 px-3 ".concat(tagClassName) },
                    React.createElement("span", { className: "text-base ".concat(textClassName) }, shortTag))));
        }
    }))) : null;
};
export default Tags;
